import request from '@/utils/request'

// 查询储罐台账列表
export function listTank(query) {
  return request({
    url: '/system/tank/list',
    method: 'get',
    params: query
  })
}

// 查询储罐台账详细
export function getTank(id) {
  return request({
    url: '/system/tank/' + id,
    method: 'get'
  })
}

// 新增储罐台账
export function addTank(data) {
  return request({
    url: '/system/tank',
    method: 'post',
    data: data
  })
}

// 修改储罐台账
export function updateTank(data) {
  return request({
    url: '/system/tank',
    method: 'put',
    data: data
  })
}

// 删除储罐台账
export function delTank(id) {
  return request({
    url: '/system/tank/' + id,
    method: 'delete'
  })
}
